# kcpolydb.h File Reference

polymorphic database More...

`#include <kccommon.h>`
`#include <kcutil.h>`
`#include <kcdb.h>`
`#include <kcthread.h>`
`#include <kcfile.h>`
`#include <kccompress.h>`
`#include <kccompare.h>`
`#include <kcmap.h>`
`#include <kcplantdb.h>`
`#include <kcprotodb.h>`

## Classes

class | kyotocabinet::PolyDB
| Polymorphic database. More...
class | kyotocabinet::PolyDB::Cursor
| Cursor to indicate a record. More...

## Namespaces

namespace | kyotocabinet

| All symbols of Kyoto Cabinet.

## Detailed Description

polymorphic database